Bug 814803 - yppasswd doesn't handle crypt() returning NULL
yppasswd doesn't handle crypt() returning NULL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yp-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 816201 816203
  Show dependency treegraph
 
Reported: 2012-04-20 13:46 EDT by Paul Wouters
Modified: 2012-05-02 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: yp-tools-2.12-9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 816201 816203 (view as bug list)
Environment:
Last Closed: 2012-05-02 16:50:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yp-tools spec file (8.02 KB, text/x-rpm-spec)
2012-04-20 13:46 EDT, Paul Wouters
no flags Details
patch hanlding crypt() returning NULL (1.96 KB, patch)
2012-04-20 13:48 EDT, Paul Wouters
no flags Details | Diff

  None (edit)
Description Paul Wouters 2012-04-20 13:46:49 EDT
Created attachment 579069 [details]
yp-tools spec file

yppasswd doesn't handle crypt() returning NULL, which is possible in fips mode and other corner conditions. It blindly tries to sntrcmp or strdup the return
values of crypt()

Attached is a patch and updated spec file for rawhide
Comment 1 Paul Wouters 2012-04-20 13:48:13 EDT
Created attachment 579072 [details]
patch hanlding crypt() returning NULL

As I do not have an existing YP/NIS setup, someone should really test this patch
Comment 2 Honza Horak 2012-04-23 09:18:49 EDT
Thanks for reporting. I've pushed the patch to upstream, applied in Rawhide and will update in F17 soon.

Right now, I'm not going to apply the patch and update in F16 and F15 though, unless there is a real use case requiring this fix or some more significant fix.
Comment 3 Fedora Update System 2012-04-23 09:20:45 EDT
yp-tools-2.12-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yp-tools-2.12-9.fc17
Comment 4 Paul Wouters 2012-04-23 22:12:48 EDT
no need for f16, f15. Though RHEL would be nice :)
Comment 5 Fedora Update System 2012-04-23 23:17:45 EDT
Package yp-tools-2.12-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yp-tools-2.12-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6465/yp-tools-2.12-9.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-02 16:50:48 EDT
yp-tools-2.12-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.